namespace Model
{
    /// <summary>
    /// 部门管理 sys_dept
    /// </summary>
    [SugarTable("sys_dept", "部门管理")]
    [Tenant("0")]
    public class SysDept
    {
        /// <summary>
        /// 部门ID
        /// </summary>
        [SugarColumn(ColumnDescription = "部门ID", ColumnName = "dept_id")]
        public long DeptId { get; set; }


        /// <summary>
        /// 部门名称
        /// </summary>
        [SugarColumn(ColumnDescription = "部门名称", Length = 50, ColumnName = "name")]
        public string Name { get; set; }


        /// <summary>
        /// 排序
        /// </summary>
        [SugarColumn(ColumnDescription = "排序", ColumnName = "sort_order")]
        public int SortOrder { get; set; }


        /// <summary>
        /// 创建人
        /// </summary>
        [SugarColumn(ColumnDescription = "创建人", Length = 64, ColumnName = "create_by")]
        public string CreateBy { get; set; }


        /// <summary>
        /// 修改人
        /// </summary>
        [SugarColumn(ColumnDescription = "修改人", Length = 64, ColumnName = "update_by")]
        public string UpdateBy { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "create_time")]
        public DateTime? CreateTime { get; set; }


        /// <summary>
        /// 修改时间
        /// </summary>
        [SugarColumn(ColumnDescription = "修改时间", ColumnName = "update_time")]
        public DateTime? UpdateTime { get; set; }


        /// <summary>
        /// 删除标志
        /// </summary>
        [SugarColumn(ColumnDescription = "删除标志", Length = 1, ColumnName = "del_flag")]
        public string DelFlag { get; set; }


        /// <summary>
        /// 父级部门ID
        /// </summary>
        [SugarColumn(ColumnDescription = "父级部门ID", ColumnName = "parent_id")]
        public long ParentId { get; set; }


        /// <summary>
        /// 子菜单
        /// </summary>
        public List<SysDept> children = new();
    }
}