namespace Model
{
    /// <summary>
    /// 字典表 sys_dict
    /// </summary>
    [SugarTable("sys_dict", "字典表")]
    [Tenant("0")]
    public class SysDict
    {
        /// <summary>
        /// 编号
        /// </summary>
        [SugarColumn(ColumnDescription = "编号", ColumnName = "id")]
        public long Id { get; set; }


        /// <summary>
        /// 字典类型
        /// </summary>
        [SugarColumn(ColumnDescription = "字典类型", Length = 100, ColumnName = "dict_type")]
        public string DictType { get; set; }


        /// <summary>
        /// 描述
        /// </summary>
        [SugarColumn(ColumnDescription = "描述", Length = 100, ColumnName = "description")]
        public string Description { get; set; }


        /// <summary>
        /// 创建人
        /// </summary>
        [SugarColumn(ColumnDescription = "创建人", Length = 64, ColumnName = "create_by")]
        public string CreateBy { get; set; }


        /// <summary>
        /// 修改人
        /// </summary>
        [SugarColumn(ColumnDescription = "修改人", Length = 64, ColumnName = "update_by")]
        public string UpdateBy { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "create_time")]
        public DateTime? CreateTime { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "update_time")]
        public DateTime? UpdateTime { get; set; }


        /// <summary>
        /// 备注信息
        /// </summary>
        [SugarColumn(ColumnDescription = "备注信息", Length = 255, ColumnName = "remarks")]
        public string Remarks { get; set; }


        /// <summary>
        /// 系统标志
        /// </summary>
        [SugarColumn(ColumnDescription = "系统标志", Length = 1, ColumnName = "system_flag")]
        public string SystemFlag { get; set; }


        /// <summary>
        /// 删除标志
        /// </summary>
        [SugarColumn(ColumnDescription = "删除标志", Length = 1, ColumnName = "del_flag")]
        public string DelFlag { get; set; }



    }
}