namespace Model
{
    /// <summary>
    /// 字典项 sys_dict_item
    /// </summary>
    [SugarTable("sys_dict_item", "字典项")]
    [Tenant("0")]
    public class SysDictItem
    {
        /// <summary>
        /// 编号
        /// </summary>
        [SugarColumn(ColumnDescription = "编号", ColumnName = "id")]
        public long Id { get; set; }


        /// <summary>
        /// 字典ID
        /// </summary>
        [SugarColumn(ColumnDescription = "字典ID", ColumnName = "dict_id")]
        public long DictId { get; set; }


        /// <summary>
        /// 字典项值
        /// </summary>
        [SugarColumn(ColumnDescription = "字典项值", Length = 100, ColumnName = "item_value")]
        public string ItemValue { get; set; }


        /// <summary>
        /// 字典项名称
        /// </summary>
        [SugarColumn(ColumnDescription = "字典项名称", Length = 100, ColumnName = "label")]
        public string Label { get; set; }


        /// <summary>
        /// 字典类型
        /// </summary>
        [SugarColumn(ColumnDescription = "字典类型", Length = 100, ColumnName = "dict_type")]
        public string DictType { get; set; }


        /// <summary>
        /// 字典项描述
        /// </summary>
        [SugarColumn(ColumnDescription = "字典项描述", Length = 100, ColumnName = "description")]
        public string Description { get; set; }


        /// <summary>
        /// 排序（升序）
        /// </summary>
        [SugarColumn(ColumnDescription = "排序（升序）", ColumnName = "sort_order")]
        public int SortOrder { get; set; }


        /// <summary>
        /// 创建人
        /// </summary>
        [SugarColumn(ColumnDescription = "创建人", Length = 64, ColumnName = "create_by")]
        public string CreateBy { get; set; }


        /// <summary>
        /// 修改人
        /// </summary>
        [SugarColumn(ColumnDescription = "修改人", Length = 64, ColumnName = "update_by")]
        public string UpdateBy { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "create_time")]
        public DateTime? CreateTime { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "update_time")]
        public DateTime? UpdateTime { get; set; }


        /// <summary>
        /// 备注信息
        /// </summary>
        [SugarColumn(ColumnDescription = "备注信息", Length = 255, ColumnName = "remarks")]
        public string Remarks { get; set; }


        /// <summary>
        /// 删除标志
        /// </summary>
        [SugarColumn(ColumnDescription = "删除标志", Length = 1, ColumnName = "del_flag")]
        public string DelFlag { get; set; }



    }
}